class NetCity
  Error = Class.new(StandardError)

  class LoginFormError < Error
    def initialize(member, value)
      @member = case member
                when :state
                  'Регион'
                when :province
                  'Городской округ / Муниципальный район'
                when :city
                  'Населённый пункт'
                when :func
                  'Тип ОО'
                when :school
                  'Образовательная организация'
                end

      @value = value
    end

    def to_s
      "Отсутствует #{@member} со значением #{@value}"
    end
  end
end
